Subject: Re: Strange make [Error 255] (cygwin bug?)
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Sat, 27 Sep 2003 16:01:34 +0200

Corinna Vinschen writes:

>> How does it make it unnecessary?  Won't it still cause make to return
>> an error as opposed to actually getting make working?
>
> Yes, but it returns a correct, useful error message.  Obviously there
> is a system imposed upper limit of command line length on all systems,
> even if it's 256MB or whatever.  So relying on these overlong command
> lines is highly non-portable anyway and at least Cygwin now returns
> the correct message if it comes to that.

Hmm, maybe you're right and we should fix the installation process,
but this is the first problem we heard of.  If it's really that highly
non-portable, then Cygwin is the least obscure UNIX system that
doesn't grok this :-)

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/